Bug 600954 - yum bash completion for localupdate does not work
Summary: yum bash completion for localupdate does not work
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-06 19:45 UTC by Till Maas
Modified: 2014-01-21 23:15 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 14:33:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
properly add localupdate to bash completion (623 bytes, application/octet-stream)
2010-06-06 19:45 UTC, Till Maas
no flags Details

Description Till Maas 2010-06-06 19:45:43 UTC
Created attachment 421646 [details]
properly add localupdate to bash completion

Description of problem:
yum local<TAB> completes to localinstall instead of suggesting localupdate and localinstall. Also yum localupdate <TAB> does not show possible rpm files.

Version-Release number of selected component (if applicable):
yum-3.2.27-3.fc12

How reproducible:
always

Steps to Reproduce:
1. yum localu<TAB>
  
Actual results:
nothing happens

Expected results:
commandline should expand to "yum localupdate"

Additional info:
localupdate is missing in the cmds variable (see patch)

Comment 1 seth vidal 2010-06-07 14:31:18 UTC
the yum commands local* are unnecessary anyway - the normal commands handle lists of local pkgs just fine.

so:

yum install myfile.rpm /some/path/to/somepkg.rpm 

works the same as

yum localinstall myfile.rpm /some/path/to/somepkg.rpm

ditto with update and localupdate.

so - I don't see anything wrong with fixing the bash completion script - but it is not strictly necessary.

Comment 2 seth vidal 2010-06-07 14:33:20 UTC
and I've added localupdate, now.


Note You need to log in before you can comment on or make changes to this bug.